"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutlineModule = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const common_1 = require("../common");
const outline_contribution_1 = require("./outline.contribution");
const outline_decoration_service_1 = require("./services/outline-decoration.service");
const outline_event_service_1 = require("./services/outline-event.service");
const outline_model_service_1 = require("./services/outline-model.service");
const outline_tree_service_1 = require("./services/outline-tree.service");
let OutlineModule = class OutlineModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.providers = [
            {
                token: common_1.IOutlineDecorationService,
                useClass: outline_decoration_service_1.OutlineDecorationService,
            },
            {
                token: outline_event_service_1.OutlineEventService,
                useClass: outline_event_service_1.OutlineEventService,
            },
            {
                token: outline_tree_service_1.OutlineTreeService,
                useClass: outline_tree_service_1.OutlineTreeService,
            },
            {
                token: outline_model_service_1.OutlineModelService,
                useClass: outline_model_service_1.OutlineModelService,
            },
            outline_contribution_1.OutlineContribution,
        ];
    }
};
OutlineModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], OutlineModule);
exports.OutlineModule = OutlineModule;
//# sourceMappingURL=index.js.map