import { CompositeTreeNode, TreeNode } from '@opensumi/ide-components';
import { MaybeNull, URI } from '@opensumi/ide-core-common';
import { INormalizedDocumentSymbol } from '@opensumi/ide-editor/lib/browser/breadcrumb/document-symbol';
import { OutlineTreeService } from './services/outline-tree.service';
export declare class OutlineRoot extends CompositeTreeNode {
    static is(node: OutlineCompositeTreeNode | OutlineRoot): node is OutlineRoot;
    private _currentUri;
    constructor(tree: OutlineTreeService, currentUri: MaybeNull<URI>);
    get currentUri(): MaybeNull<URI>;
    get expanded(): boolean;
}
export declare class OutlineCompositeTreeNode extends CompositeTreeNode {
    readonly raw: INormalizedDocumentSymbol;
    readonly icon: string;
    static is(node: OutlineCompositeTreeNode | OutlineTreeNode): node is OutlineCompositeTreeNode;
    constructor(tree: OutlineTreeService, parent: OutlineCompositeTreeNode | OutlineRoot, raw: INormalizedDocumentSymbol, icon: string);
    get displayName(): string;
    get description(): string;
}
export declare class OutlineTreeNode extends TreeNode {
    readonly raw: INormalizedDocumentSymbol;
    readonly icon: string;
    static is(node: OutlineTreeNode): node is OutlineTreeNode;
    constructor(tree: OutlineTreeService, parent: OutlineCompositeTreeNode | OutlineRoot, raw: INormalizedDocumentSymbol, icon: string);
    get displayName(): string;
    get description(): string;
}
//# sourceMappingURL=outline-node.define.d.ts.map