"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutlineTreeNode = exports.OutlineCompositeTreeNode = exports.OutlineRoot = void 0;
const ide_components_1 = require("@opensumi/ide-components");
class OutlineRoot extends ide_components_1.CompositeTreeNode {
    static is(node) {
        return !!node && !node.parent;
    }
    constructor(tree, currentUri) {
        super(tree, undefined);
        this._currentUri = currentUri;
    }
    get currentUri() {
        return this._currentUri;
    }
    get expanded() {
        return true;
    }
}
exports.OutlineRoot = OutlineRoot;
// OutlineCompositeTreeNode 节点不包含父节点, 同时默认为展开状态
class OutlineCompositeTreeNode extends ide_components_1.CompositeTreeNode {
    static is(node) {
        var _a;
        return (!!node && !!node.raw && !!((_a = node.raw.children) === null || _a === void 0 ? void 0 : _a.length));
    }
    constructor(tree, parent, raw, icon) {
        super(tree, parent, undefined, {});
        this.raw = raw;
        this.icon = icon;
        this.isExpanded = true;
    }
    get displayName() {
        return this.raw.name;
    }
    get description() {
        return this.raw.detail;
    }
}
exports.OutlineCompositeTreeNode = OutlineCompositeTreeNode;
class OutlineTreeNode extends ide_components_1.TreeNode {
    static is(node) {
        return !!node && !!node.raw;
    }
    constructor(tree, parent, raw, icon) {
        super(tree, parent, undefined, {});
        this.raw = raw;
        this.icon = icon;
    }
    get displayName() {
        return this.raw.name;
    }
    get description() {
        return this.raw.detail;
    }
}
exports.OutlineTreeNode = OutlineTreeNode;
//# sourceMappingURL=outline-node.define.js.map