import React, { MouseEvent, PropsWithChildren } from 'react';
import { IRecycleTreeHandle, TreeNodeType } from '@opensumi/ide-components';
import { ViewState } from '@opensumi/ide-core-browser';
import { OutlineCompositeTreeNode, OutlineTreeNode } from './outline-node.define';
import { OutlineTreeModel } from './services/outline-model';
export declare const OutlinePanel: ({ viewState }: React.PropsWithChildren<{
    viewState: ViewState;
}>) => React.JSX.Element;
interface IOutlineTreeViewProps {
    height: number;
    loading: boolean;
    model?: OutlineTreeModel;
    onDidTreeReady(handle: IRecycleTreeHandle): void;
    onItemClick(ev: MouseEvent, item: OutlineTreeNode | OutlineCompositeTreeNode, type: TreeNodeType): void;
    onTwistierClick(ev: MouseEvent, item: OutlineTreeNode | OutlineCompositeTreeNode): void;
}
export declare const OutlineTreeView: React.MemoExoticComponent<({ height, model, onItemClick, onTwistierClick, onDidTreeReady, loading }: IOutlineTreeViewProps) => React.JSX.Element>;
export {};
//# sourceMappingURL=outline.d.ts.map