import { Event, URI, WithEventBus } from '@opensumi/ide-core-browser';
import { IEditorGroup, IResource } from '@opensumi/ide-editor';
import { EditorActiveResourceStateChangedEvent, EditorSelectionChangeEvent } from '@opensumi/ide-editor/lib/browser';
import { DocumentSymbolChangedEvent } from '@opensumi/ide-editor/lib/browser/breadcrumb/document-symbol';
import { ViewCollapseChangedEvent } from '@opensumi/ide-main-layout';
export type OpenedEditorData = IEditorGroup | IResource;
export interface OpenedEditorEvent {
    group: IEditorGroup;
    resource: IResource;
}
export declare class OutlineEventService extends WithEventBus {
    private _onDidDocumentSymbolChange;
    private _onDidSelectionChange;
    private _onDidEditorActiveResourceStateChange;
    private _onDidViewCollapseChange;
    /**
     * on did document symbol changed
     */
    get onDidChange(): Event<URI | null>;
    /**
     * on did editor active resource state changed
     */
    get onDidActiveChange(): Event<URI | null>;
    get onDidSelectionChange(): Event<URI | null>;
    get onDidViewCollapseChange(): Event<boolean>;
    onEditorActiveResourceStateChangedEvent(e: EditorActiveResourceStateChangedEvent): void;
    onEditorSelectionChangeEvent(e: EditorSelectionChangeEvent): void;
    onDocumentSymbolChange(e: DocumentSymbolChangedEvent): void;
    onViewCollapseChangedEvent(e: ViewCollapseChangedEvent): void;
}
//# sourceMappingURL=outline-event.service.d.ts.map