import { ITreeNodeOrCompositeTreeNode, Tree } from '@opensumi/ide-components';
import { Event, MaybeNull, URI } from '@opensumi/ide-core-browser';
import { INormalizedDocumentSymbol } from '@opensumi/ide-editor/lib/browser/breadcrumb/document-symbol';
import { OutlineSortOrder } from '../../common';
import { OutlineCompositeTreeNode, OutlineRoot, OutlineTreeNode } from '../outline-node.define';
export declare class OutlineTreeService extends Tree {
    private documentSymbolStore;
    private outlineContextKeyService;
    private storageProvider;
    private readonly collator;
    private readonly cacheOutlineNodes;
    private _sortType;
    private _followCursor;
    private _currentUri;
    private onDidChangeEmitter;
    private _whenReady;
    private _outlineStorage;
    constructor();
    init(): Promise<void>;
    get whenReady(): Promise<void>;
    /**
     * trigger when outline tree changed(include sortType, followCursor changed)
     */
    get onDidChange(): Event<void>;
    get currentUri(): MaybeNull<URI>;
    set currentUri(value: MaybeNull<URI>);
    get followCursor(): boolean;
    set followCursor(value: boolean);
    get sortType(): OutlineSortOrder;
    set sortType(type: OutlineSortOrder);
    resolveChildren(parent?: OutlineCompositeTreeNode): Promise<(OutlineCompositeTreeNode | OutlineRoot | OutlineTreeNode)[]>;
    private cacheNodes;
    getTreeNodeBySymbol(symbol: INormalizedDocumentSymbol): OutlineCompositeTreeNode | OutlineTreeNode | undefined;
    sortComparator: (a: ITreeNodeOrCompositeTreeNode, b: ITreeNodeOrCompositeTreeNode) => number;
}
//# sourceMappingURL=outline-tree.service.d.ts.map