import { ITreeNode } from '@opensumi/ide-components';
import { MarkerSeverity, URI } from '@opensumi/ide-core-common';
export declare const enum OutlineSortOrder {
    ByPosition = 0,
    ByName = 1,
    ByKind = 2
}
export interface IOutlineMarker {
    startLineNumber: number;
    startColumn: number;
    endLineNumber: number;
    endColumn: number;
    severity: MarkerSeverity;
    message?: string;
}
export declare const IOutlineDecorationService: unique symbol;
export interface IOutlineDecoration {
    color: string;
    tooltip: string;
    badge: string;
}
export interface IOutlineDecorationService {
    getDecoration(node: ITreeNode): IOutlineDecoration;
    updateDiagnosisInfo(uri?: URI): void;
}
export declare const OUTLINE_VIEW_ID = "outline-view";
//# sourceMappingURL=index.d.ts.map